import*as tl from'vsts-task-lib/task.js';import {OPENSSL,OPENSSL_COMMAND,ARGS,KEYOUT_NAME_ARG,OUT_CERT_NAME_ARG}from'../constants/constants.js';// @ts-nocheck
class Openssl {
  command = OPENSSL;
  opensslCommand = OPENSSL_COMMAND;
  args = ARGS;
  keyNameArg = KEYOUT_NAME_ARG;
  certNameArg = OUT_CERT_NAME_ARG;
  name;
  expiry;
  constructor(certKeyRequest) {
    this.name = certKeyRequest.name;
    this.expiry = certKeyRequest.expiry;
  }
  async request(certKeyRequest) {
    try {
      const openssl = new Openssl(certKeyRequest);
      const allArgs = ['req'];
      this.args.map(item => allArgs.push(item));
      allArgs.push(this.expiry);
      allArgs.push(this.keyNameArg);
      allArgs.push(`${this.name}.key`);
      allArgs.push(this.certNameArg);
      allArgs.push(`${this.name}.cert`);
      await tl.exec(tl.which(openssl.command), allArgs).fail(err => {
        throw new Error(`exec command failed with error${err}`);
      });
    } catch (err) {
      tl.setResult(tl.TaskResult.Failed, err.message);
      console.error(err);
      throw new Error(err);
    }
  }
}export{Openssl};//# sourceMappingURL=openssl.js.map
