import 'jest';
import { Openssl } from '../index';
import { ICertKeyRequest } from '../../interfaces/index';
import * as tl from 'vsts-task-lib/task';

describe('openssl api test', () => {
    let certKetReq: ICertKeyRequest = {name: 'user', expiry: '365'};
    const openssl = new Openssl(certKetReq);
    let created: boolean = false;
    const tempDir = '/tmp/tmpDir';


    it('should test cert and key creation', async () => {
        try {
            jest.setTimeout(30000);
            tl.mkdirP(tempDir);
            tl.cd(tempDir);
            await openssl.request(certKetReq);
            if (tl.exist(`./${certKetReq.name}.cert`) && tl.exist(`./${certKetReq.name}.key`)) {
                created = true;
            }
            expect(created).toEqual(true);
        } catch (err) {
            expect(err).toBeNull();
        }  finally {
            tl.rmRF(tempDir);
        }
    });
});
